<?php

namespace AutoAdmin\Bundle\Seo\Renderer;


class RendererManager
{
    protected array $renderers = [];

    public function __construct(iterable $renderers) {
        array_map([$this, 'addRenderer'], iterator_to_array($renderers));
    }

    private function addRenderer(SeoRendererInterface $renderer): void
    {
        $this->renderers[] = $renderer;
    }

    public function getRenderers(): array
    {
        return $this->renderers;
    }
}